
#ifndef SWITCH_H
#define SWITCH_H
#include <avr/io.h>


static volatile uint8_t portd_released;
static volatile uint8_t portd_toggleState;
static volatile uint8_t portb_released;
static volatile uint8_t portb_toggleState;

/* PORT D INPUTS */
void initSwitch(void);
uint8_t pushBtn_d( uint8_t pin) ;
uint8_t switchBtn_d( uint8_t pin);
uint8_t isReleased_d(uint8_t pin);
uint8_t toggleBtn_d( uint8_t pin);
void setReleased_d(uint8_t pin);
void setPressed_d(uint8_t pin);

/* PORT B INPUTS */
uint8_t pushBtn_b( uint8_t pin) ;
uint8_t switchBtn_b( uint8_t pin) ;
uint8_t toggleBtn_b( uint8_t pin);
void setReleased_b(uint8_t pin);
void setPressed_b(uint8_t pin);
uint8_t isReleased_b(uint8_t pin);

void setState(uint8_t port, int8_t pin,int8_t value);

#endif

